calculatepower <- function(filename)
{
  library(survey)
  load(filename)
  
  nsnp <- ncol(Lambda.mat)

  ABT.pval.practical <- rep(NA, nsimu)
  for (k in 1 : nsimu)
  {
    ABT.pval.practical[k] <- pchisqsum(S.ABT[k], rep(1, nsnp), Lambda.mat[k, ], lower.tail = F)
  }
  power.0.01.ABT.practical <- mean(ABT.pval.practical < 0.01)
  power.0.05.ABT.practical <- mean(ABT.pval.practical < 0.05)
  
  return(list(power.0.01.ABT.practical = power.0.01.ABT.practical, power.0.05.ABT.practical = power.0.05.ABT.practical))
}
